通过工作区编排引擎获取特定会话的所有消息。项目范围由路由 ID 路径参数承载,而组织则派生自该项目。
GET /api/v1/projects/{id}/sessions/{session_id}/messages
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/sessions/{session_id}/messages' \
--header "Authorization: $API_KEY"
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (200)
{
"history_status": "string",
"latest_status": "string",
"messages": [
{
"additional_kwargs": {},
"content": "string",
"id": "string",
"name": "string",
"role": "string",
"session_id": "string",
"timestamp": "string",
"tool_call_id": "string",
"tool_calls": [
{
"id": "string",
"index": 42,
"name": "string",
"type": "string"
}
]
}
]
}
响应示例 (200)
{
"history_status": "string",
"latest_status": "string",
"messages": [
{
"additional_kwargs": {},
"content": "string",
"id": "string",
"name": "string",
"role": "string",
"session_id": "string",
"timestamp": "string",
"tool_call_id": "string",
"tool_calls": [
{
"id": "string",
"index": 42,
"name": "string",
"type": "string"
}
]
}
]
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (422)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (422)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}